/**
 * Created by sff on 2018/1/3.
 */
$(function(){
    //设置尺寸
    function setRem (){ // 绑定到窗口的这个事件中
        var whdef = 100/1920;// 表示1920的设计图,使用100PX的默认值
        var wH = window.innerHeight;// 当前窗口的高度
        var wW = window.innerWidth<=1920?1920:window.innerWidth;// 当前窗口的宽度
        var rem = wW * whdef;// 以默认比例值乘以当前窗口宽度,得到该宽度下的相应FONT-SIZE值
        $('html').css('font-size', rem + "px");
    }
    setRem ();
    $(window).resize(function(){
        setRem ();
        window.location.reload();
    });
    // 右上角时间显示
    $("#Timer").text(new Date().toLocaleString());
    setInterval(function(){
        $("#Timer").text(new Date().toLocaleString());
    },1000);
    /* ---------------------------------------------  页面开始的时候加载的数据 start  --------------------------------------------- */
    // 第一部分
    msBaseData();

    // 第二部分  本月门市一组成交量
    monthGroupOneOrder();
    // 第二部分  本月门市二组成交量
    monthGroupTwoOrder();
    
    // 第三部分  门市月成交量排行
    monthWxStaffOrder();
    /* ---------------------------------------------  页面开始的时候加载的数据 end  --------------------------------------------- */
    setInterval(function(){
        // 第一部分
	    msBaseData();

	    // 第二部分  本月门市一组成交量
	    monthGroupOneOrder();
	    // 第二部分  本月门市二组成交量
	    monthGroupTwoOrder();
	    
	    // 第三部分  门市月成交量排行
	    monthWxStaffOrder();
    },60000);
    /* ---------------------------------------------  具体方法 start --------------------------------------------- */
    // 第一部分
    function msBaseData () {
        $.ajax({
            type: 'POST',
            url : '/crm/Xafs/msBaseData',
            data: {type:'zjs'},
            success: function(res){
                if (res) {
                    // console.log(res);
                    $("#jdDay").html(res.dayinto+'个');
                    $("#cjDay").html(res.dayorder+'个');
                    $("#jdMonth").html(res.monthinto+'个');
                    $("#cjMonth").html(res.monthorder+'个');

                    $('#maxStaff').html(res.maxOrderStaff.staff);
                    $('#maxOrder').html(res.maxOrderStaff.orderRate);
                    var src = '/upload/pic/'+res.maxOrderStaff.staff_id+'.jpg';
                    $('#maxStaff_id').attr('src',src);
                };
            },
        })
    }
    // 第二部分  本月门市一组成交量  
    function monthGroupOneOrder(){
    	$.ajax({
            type: 'POST',
            url : '/crm/Xafs/getMsOrder',
            data: {gid:'18'},
            success: function(res){
                if (res) {
                	var replace = '';
	                for(var i = 0; i < 10; i++){
	                    replace += '<tr><td>'+res[i]['key']+'</td><td>'+res[i]['staff']+'</td><td>'+res[i]['cssname']+'</td><td>'+res[i]['orderRate']+'</td><td>￥'+res[i]['moneyRate']+'</td></tr>';
	                }
	                $('#group1').html(replace);
                };
            },
        })
    }
    // 第二部分  本月门市二组成交量
	function monthGroupTwoOrder(){
		$.ajax({
            type: 'POST',
            url : '/crm/Xafs/getMsOrder',
            data: {gid:'16'},
            success: function(res){
                if (res) {
                	var replace = '';
	                for(var i = 0; i < 10; i++){
	                    replace += '<tr><td>'+res[i]['key']+'</td><td>'+res[i]['staff']+'</td><td>'+res[i]['cssname']+'</td><td>'+res[i]['orderRate']+'</td><td>￥'+res[i]['moneyRate']+'</td></tr>';
	                }
	                $('#group2').html(replace);
                };
            },
        })
	}
	// 第三部分  门市月成交量排行
	function monthWxStaffOrder(){
		$.ajax({
            type: 'POST',
            url : '/crm/Xafs/getMsOrder',
            data: {gid:''},
            success: function(res){
                if (res) {
                	var replace = '';
	                for(var i = 0; i < 20; i++){
	                    replace += '<tr><td>'+res[i]['key']+'</td><td>'+res[i]['staff']+'</td><td>'+res[i]['cssname']+'</td><td>'+res[i]['orderRate']+'</td><td>￥'+res[i]['moneyRate']+'</td></tr>';
	                }
	                $('#department').html(replace);
                };
            },
        })
	}
    /* ---------------------------------------------  具体方法 end --------------------------------------------- */
});